SUSE SLED12 / SLES12セキュリティ更新プログラム:tiff(SUSE-SU-2018:3911-2)

high Nessus プラグイン ID 119555

言語:

概要

リモートのSUSEホストに1つ以上のセキュリティ更新プログラムがありません。

説明

このtiffの更新では、次の問題を修正します:

修正されたセキュリティ問題:

CVE-2018-12900:cpSeparateBufToContigBufのヒープベースのバッファオーバーフローが修正されました(bsc#1099257)。

CVE-2018-18661:tif_lzw.cファイルのLZWDecode関数のNULLポインターデリファレンスが修正されました(bsc#1113672)。

CVE-2018-18557:JBIGデコードが領域外書き込みを引き起こす可能性が修正されました(bsc#1113094)。

修正されたセキュリティ以外の問題:asan_build:ビルドASANが含まれます

debug_build:デバッグにより適したビルド

注意:Tenable Network Securityは、前述の記述ブロックをSUSEセキュリティアドバイザリから直接抽出しています。Tenableでは、そこに新しい問題を追加することはせずに、できる限り自動的に整理と書式設定をするようにしています。

ソリューション

このSUSEセキュリティ更新プログラムをインストールするには、YaSTのonline_updateや「zypper patch」など、SUSEが推奨するインストール方法を使用してください。

別の方法として、製品にリストされているコマンドを実行することができます:

SUSE Linux Enterprise Software Development Kit 12-SP4:zypper in -t patch SUSE-SLE-SDK-12-SP4-2018-2782=1

SUSE Linux Enterprise Server 12-SP4:zypper in -t patch SUSE-SLE-SERVER-12-SP4-2018-2782=1

SUSE Linux Enterprise Desktop 12-SP4:zypper in -t patch SUSE-SLE-DESKTOP-12-SP4-2018-2782=1

関連情報

https://bugzilla.suse.com/show_bug.cgi?id=1099257

https://bugzilla.suse.com/show_bug.cgi?id=1113094

https://bugzilla.suse.com/show_bug.cgi?id=1113672

https://www.suse.com/security/cve/CVE-2018-12900/

https://www.suse.com/security/cve/CVE-2018-18557/

https://www.suse.com/security/cve/CVE-2018-18661/

http://www.nessus.org/u?bd3dbffe

プラグインの詳細

深刻度: High

ID: 119555

ファイル名: suse_SU-2018-3911-2.nasl

バージョン: 1.4

タイプ: local

エージェント: unix

公開日: 2018/12/10

更新日: 2021/1/13

サポートされているセンサー: Nessus Agent

リスク情報

VPR

リスクファクター: High

スコア: 7.4

CVSS v2

リスクファクター: Medium

Base Score: 6.8

Temporal Score: 5.3

ベクトル: AV:N/AC:M/Au:N/C:P/I:P/A:P

現状ベクトル: E:POC/RL:OF/RC:C

CVSS v3

リスクファクター: High

Base Score: 8.8

Temporal Score: 7.9

ベクトル: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

現状ベクトル: E:P/RL:O/RC:C

脆弱性情報

CPE: p-cpe:/a:novell:suse_linux:libtiff5, p-cpe:/a:novell:suse_linux:libtiff5-debuginfo, p-cpe:/a:novell:suse_linux:tiff, p-cpe:/a:novell:suse_linux:tiff-debuginfo, p-cpe:/a:novell:suse_linux:tiff-debugsource, cpe:/o:novell:suse_linux:12

必要な KB アイテム: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

エクスプロイトが利用可能: true

エクスプロイトの容易さ: Exploits are available

パッチ公開日: 2018/12/6

脆弱性公開日: 2018/6/26

参照情報

CVE: CVE-2018-12900, CVE-2018-18557, CVE-2018-18661